Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: pepperflashplugin-nonfree krijg ik niet geïnstalleerd  (gelezen 1181 keer)

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Gepost op: 2015/02/12, 10:35:50 »
Beste forumleden,

De oorzaak van mijn vraag is dat ik geen youtube videos meer kon afspelen zowel in Chromium (en later ook niet in Firefox meer).
Ook kreeg ik soms de melding Adobe Flash player is
vereist (bijvoorbeeld op de site van Ikea onderdeel Slaapkamers met het draaien van de pax planner).
Op dit moment werkt youtube weer in Firefox, maar niet in Chromium en Ikea pax planner werkt nog steeds niet.

Samengevat heb ik het volgende gedaan:
geïnstalleerd ppa:nilarimogard/webupd8
Verwijderd Libavcodec library en Libavutility library
geïnstalleerd Adobe Flash Player plugin version 11
geprobeerd sudo apt-get install pepperflashplugin-nonfree
verwijderd (gedeeltelijk) ppa:nilarimogard/webupd8 met diverse error meldingen

Ik blijf nu zitten met de volgende meldingen bij:
sudo apt-get install pepperflashplugin-nonfree
E: Kan pakket pepperflashplugin-nonfree niet vinden
en
apt-get autoremove
E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13: Toegang geweigerd)
E: Kan de beheersmap (/var/lib/dpkg/) niet vergrendelen. Heeft u beheerdersrechten?

Nog steeds heb ik het idee dat ik pepperflashplugin nodig heb.
Kan ik van iemand wat sturing krijgen in de richting waarin ik het nu moet zoeken?
Alvast bedankt.

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #1 Gepost op: 2015/02/12, 14:51:27 »
Ik wil niet ongeduldig overkomen (ook al ben ik het  ^-^) , maar misschien is ook mijn vraagstelling niet helemaal duidelijk.  Dus ik probeer nog even te verduidelijken met wat korte vraagjes.
Waarom kan ik geen youtube afspelen in Chromium?
Antwoord misschien dat ik pepperflash nodig heb?
En hoe krijg ik deze pepperflash geïnstalleerd?
Antwoord misschien dat ik eerst de oude rommel moet opruimen van die eerdere ppa?
En hoe krijg ik dat gedaan?

Dus eigenlijk 2 vragen:
1. hoe krijg ik mijn systeem weer netjes schoon
2. hoe krijg ik diverse Adobe flash gerelateerde zaken werkend?
Een beetje richting hierin is wenselijk, een kant en klare oplossing zeer welkom.
Alvast bedankt.

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #2 Gepost op: 2015/02/12, 15:26:11 »
Waarom ben je zo ingewikkeld aan het doen? Youtube-filmpjes spelen gewoon af in FF, met de standaardinstellingen. (Uiteraard heb je als eerste na een nieuwe installatie ubuntu-restricted-extras geïnstalleerd?). Chromium heb ik niet.

Verder zit die pepperflash plugin gewoon in het softwarecenter van Ubuntu (hem 'm zelf niet geïnstalleerd).

apt-get autoremove, je bedoelt toch wel sudo apt-get autoremove, niet?

Edit. Die pax-planner bij de Ikea-slaapkamers kan ik ook niet gebruiken. En dus ajuus Ikea slaapkamers. Ben ik zeer ruimhartig en buitengewoon spontaan in! :-)
« Laatst bewerkt op: 2015/02/12, 15:30:09 door Paul Matthijsse »
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #3 Gepost op: 2015/02/12, 15:33:07 »
Hallo Paul,
Bedankt voor je reactie. Dat ik ergens ingewikkeld zit te doen vermoedde ik al, ik zie het alleen nog steeds niet helder.
OK, youtube in FF is akkoord, maar ik verbaas me toch dat het in Chromium niet lukt.
Ja, de restricted-extras uiteindelijk wel kunnen installeren, maar moest eerst een  en ander verwijderen hiervoor.
Maar pepperflash zit helaas niet in het softwarecentrum, als dat moet week ik nog niet wat er fout is gegaan of hoe dit te herstellen.
Je laatste vraag voor de volledigheid, ja inderdaad, ik bedoelde sudo ... enz..

NB. je mening over Ikea slaapkamers deel ik niet helemaal. Als ik m'n computer uitzet heb ik er ook geen last van. Maar nu ik hem heb wil ik hem ook kunnen aanzetten en gebruiken.
« Laatst bewerkt op: 2015/02/12, 15:38:16 door Pieter D. »

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #4 Gepost op: 2015/02/12, 16:50:38 »
Je hebt kennelijk iets overhoop gehaald op je systeem. Realiseer je dat ppa's vaak niet voor niets niet in het Softwarecentrum zitten, omdat ze onbedoeld elders schade kunnen aanrichten. Alleen ppa's aan je systeem toevoegen als je er in redelijkheid zeker van kunt zijn dat de uitgever (de maker van die ppa) te vertrouwen is.

Ik heb het even voor je geprobeerd, maar als ik dat pepperding installeer, kan ik nog steeds niet de Ikea-slaapkamerplanner binnen. Ik moet dan op de site van Adobe de (zogenaamd) nieuwste versie van Flash downloaden; als je dat doet blijf je waarschijnlijk die Ikea-melding zien (heb dat een poosje geleden eens geprobeerd).

O ja, ik heb zo goed als nooit problemen om een site te bekijken; het kan dus ook heel goed zijn dat die Ikea-mensen brakke html-code hebben gemaakt.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #5 Gepost op: 2015/02/12, 17:42:24 »
Femke, bedankt voor het meedenken, die link doet het bij mij ook, maar deze niet
http://www.ikea.com/ms/nl_NL/rooms_ideas/planner_pax3d/index.html
maar misschien moet ik inderdaad accepteren zoals Paul het noemt, een brakke html.

Paul,
Ja die melding blijf ik gewoon zien, ook met die Adobe download, ook op mijn andere pc.

Kern van mijn vraag wordt nu dus vnl., hoe ruim ik de rest op waarop een normale installatie van iets op vastloopt?
Is dat wat verstaan wordt onder gebroken pakketten?

kan dat met
sudo dpkg --configure -a  en/of
sudo apt-get clean && sudo rm /var/lib/apt/lists/* -vf && sudo apt-get update
uit Topic: [opgelost] Probleem met beschadigde paketten van updates
en wat doen deze opdrachten? Alvast weer bedankt voor de moeite en het meedenken.
« Laatst bewerkt op: 2015/02/12, 17:50:43 door Pieter D. »

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #6 Gepost op: 2015/02/12, 17:46:13 »
Hé wat raar, ik nu ook! (Had dat pepper-ding er meteen weer afgegooid, da's een gewoonte om mijn systeem zo min mogelijk te vervuilen).

Als ik naar ikea.nl ga en dan op Slaapkamers klik, kom ik op de volgende link terecht met dat gezeur over Flash.
http://www.ikea.com/ms/nl_NL/rooms_ideas/planner_pax3d/index.html

Da's een andere dan de jouwe...
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #7 Gepost op: 2015/02/12, 17:57:11 »
[foutje bedankt, inhoud gewist]
« Laatst bewerkt op: 2015/02/12, 17:59:30 door Paul Matthijsse »
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #8 Gepost op: 2015/02/12, 18:05:08 »
Kern van mijn vraag wordt nu dus vnl., hoe ruim ik de rest op waarop een normale installatie van iets op vastloopt?
Is dat wat verstaan wordt onder gebroken pakketten?
Een gebroken pakker heeft afhankelijkheden waaraan niet meer voldaan wordt, bijvoorbeeld omdat een ppa-versie een bibliotheek installeert met een ander versienummer, uit een .2-serie ipv. een 1-serie bijvoorbeeld (dus lib-2.0 ipv lib-1.92). Als je dan terugwilt kan het programma de oorspronkelijke lib niet meer vinden en is 'gebroken'.

kan dat met
sudo dpkg --configure -a  en/of
sudo apt-get clean && sudo rm /var/lib/apt/lists/* -vf && sudo apt-get update
uit Topic: [opgelost] Probleem met beschadigde paketten van updates
en wat doen deze opdrachten? Alvast weer bedankt voor de moeite en het meedenken.
Misschien, dat durf ik niet zomaar te zeggen. Zoek even op apt-get, de opdrachten en de uitleg zijn kort en eenvoudig.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #9 Gepost op: 2015/02/12, 18:24:03 »
Ik vergeet nog wat, ppa's zijn te verwijderen met het programmaatje ppa-purge, zie de volgende link hoe dat werkt:
https://allesgimpofbijna.wordpress.com/gimp-2-9/

Misschien komt dat door al je ingrepen als mosterd na de maaltijd, maar voor een volgende keer wellicht. Probeer het in elk geval even.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #10 Gepost op: 2015/02/12, 18:56:03 »
Bedankt voor de tips, zoeken op apt-get bracht me bij het volgende

Bijhouden en schoon houden doe je met:
$ sudo apt-get update && sudo apt-get upgrade && sudo apt-get autoremove && sudo apt-get autoclean
dit update je systeem en gooit overtollige zooi weg

ppa-purge had ik al eerder geprobeerd maar gaf allerlei fouten zoals
E: Kon vergrendeling /var/lib/dpkg/lock niet verkrijgen - open (11: Hulpbron is tijdelijk onbeschikbaar)
E: Kan de beheersmap (/var/lib/dpkg/) niet vergrendelen. Is deze in gebruik door een ander proces?
Warning:  apt-get update failed for some reason
en hiermee dus een gedeeltelijke verwijdering.


Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #12 Gepost op: 2015/02/12, 19:05:52 »
Die vergrendeling-foutmelding kan erop duiden, dat er op dat moment een ander programma openstaat dat gebruikmaakt van de pakketbronnen. Updatebeheer, Softwarecentrum, Synaptic pakketbeheer.....

Oplossing is simpel: sluit die andere progjes eerst even.  :)

Overigens krijg ik de indruk, dat je systeem redelijk "kapotgeëxperimenteerd" is. Overweeg eens een schone herinstallatie, en bouw je nieuwe systeem schoon en degelijk op:

Schoon herinstalleren:
https://sites.google.com/site/computertip/herinstallatie

10 dingen om direct na installatie te doen, om de boel netjes af te werken:
https://sites.google.com/site/computertip/directdoen

Vermijd voortaan een aantal fatale vergissingen:
https://sites.google.com/site/computertip/fatalevergissingen

Succes!   :)

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu.
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #13 Gepost op: 2015/02/12, 19:26:02 »
Is mijn idee ook wie Pjotr zegt want je hebt bv libavcodec verwijderd die niks met het probleem te maken hadden.
Maar wacht tot de 19 Feb dan komt de punt 2 versie uit scheelt weer een pak updates na het installeren !.
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.3 Lts 64 bits stand alone.
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #14 Gepost op: 2015/02/12, 19:37:23 »
Pjotr, dank voor deze duidelijke adviezen.
Tom, ook voor de aanvulling.
Paul en anderen allemaal hartelijk dank voor het meedenken en helpen.

Ik ga hiermee verder na 19 feb.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #15 Gepost op: 2015/02/12, 20:23:58 »
Pepper Flash zit inderdaad gewoon in het Softwarecentrum, geen rare PPA voor nodig.

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #16 Gepost op: 2015/02/12, 23:04:22 »
Hallo Pieter, nog even.

Een computer is een besturingssysteem plus applicaties daar bovenop (hardware even niet meegerekend). Dat is een 'software stack' die heel fragiel is. Haal ergens een dragende applicatie of een dito bibliotheek weg, of verander het versienummer van een bibliotheek, en je hebt kans dat het hele kaartenhuis in elkaar stort. Hoeft niet, maar de kans is er. Ppa's vergroten die kans zeer gewis. Zelf gebruik ik een ppa voor de volgende ontwikkelversie 2.9 van GIMP zeer frequent en als ik terug wil naar de huidige versie 2.8 dan doe ik dat met ppa-purge. Geen enkel probleem en al m'n persoonlijke instellingen en add-ons/plug-ins blijven behouden.

Betekent niet dat je nooit wat moet installeren of verwijderen, betekent wel dat je van tevoren je maatregelen moet nemen om eventuele problemen snel te kunnen tackelen. Dat kan bijvoorbeeld door je Linux-systeem op een aparte /-partitie (root) te installeren en je data (jouw gegevens, mails, documenten, bookmarks, foto's, muziek, etc.) in een aparte /home-partitie te plaatsen. 

Loop je dan tegen een ernstig probleem aan, dat kun je Ubuntu (of X|K|Lubuntu of whatever) binnen een uur weer volledig herinstalleren, incluis jouw favoriete programma's. Edit. En dat zonder enig - of misschien een heel klein beetje - dataverlies.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #17 Gepost op: 2015/02/13, 01:17:34 »
Hallo Pieter, nog even.

Een computer is een besturingssysteem plus applicaties daar bovenop (hardware even niet meegerekend). Dat is een 'software stack' die heel fragiel is. Haal ergens een dragende applicatie of een dito bibliotheek weg, of verander het versienummer van een bibliotheek, en je hebt kans dat het hele kaartenhuis in elkaar stort. Hoeft niet, maar de kans is er. Ppa's vergroten die kans zeer gewis. Zelf gebruik ik een ppa voor de volgende ontwikkelversie 2.9 van GIMP zeer frequent en als ik terug wil naar de huidige versie 2.8 dan doe ik dat met ppa-purge. Geen enkel probleem en al m'n persoonlijke instellingen en add-ons/plug-ins blijven behouden.

Betekent niet dat je nooit wat moet installeren of verwijderen, betekent wel dat je van tevoren je maatregelen moet nemen om eventuele problemen snel te kunnen tackelen. Dat kan bijvoorbeeld door je Linux-systeem op een aparte /-partitie (root) te installeren en je data (jouw gegevens, mails, documenten, bookmarks, foto's, muziek, etc.) in een aparte /home-partitie te plaatsen. 

Loop je dan tegen een ernstig probleem aan, dat kun je Ubuntu (of X|K|Lubuntu of whatever) binnen een uur weer volledig herinstalleren, incluis jouw favoriete programma's. Edit. En dat zonder enig - of misschien een heel klein beetje - dataverlies.

Of, voordat je met het "experiment" begint, een backup maken van je belangrijke data en een image maken van de partitie waarop je [vul-hier-zelf-de-letters-in]buntu staat. Heb je je systeem binnen 10 minuten weer op de rit. ;)
I'm just a simple guy who uses open source software. What's your excuse?

Offline Pieter D.

  • Lid
  • Steunpunt: Nee
Re: pepperflashplugin-nonfree krijg ik niet geïnstalleerd
« Reactie #18 Gepost op: 2015/02/24, 19:42:23 »
Hoewel ik deze topic al had gesloten toch nog even een hartelijk dank voor de adviezen en uitleg.
Met die ppa's wel m'n lesje geleerd, maar ook dat niet alles waar iemand Ubuntu voor zet, dat dit ook betrouwbaar is.

Ten aanzien van de adviezen voor een aparte /home partitie, heb ik toch niet meer aangedurfd om m'n hele schijf opnieuw in te delen.
Wel ergens gelezen dat dit ook nog achteraf kan, maar ik laat het liever zo en gebruik m'n externe schijf wel voor backups.

De installatie is geslaagd, 14.04.2 staat erop, glimmend en spinnend als een zonnetje.
Wat betreft de installatie handleidingen en checklisten, zijn helemaal top.
Kan alleen maar zeggen, ben zeer tevreden.